| Home | Libraries | People | FAQ | More

## Function template as

boost::xpressive::as — `as()` is a lazy funtion for lexically casting a parameter to a different type.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename T, typename A> unspecified as(A const & a);

## Description

Parameters:

`a` | The lazy value to lexically cast.

Template Parameters:

`T` | The type to which to lexically cast the parameter.

Returns: | A lazy object that, when evaluated, lexically casts its argument to the desired type.